Smurf KTv Plugins

Aide Smurf K!TV Plugins
LabelPLUGIN.JPG (17302 bytes)

Version 0.40
licence: GPL V2 (en anglais et en français)


Installation:

K!TV est un logiciel permettant de capter la télévision à partir d'une carte de type BT8x8.
Il intègre de nombreuses possibilités (se référer à l'aide officielle) entre autre la possibilité d'accepter des plugins sonores et vidéos.

Cette Aide va se borner à présenter les plugins K!Tv qui permettent de recevoir un son "clair" et une image avec d'un meilleur "rendu" vidéo.

De la version 0.6.2 incluse à la version 0.801 incluse:

Récupérer le fichier key.txt (par vos propres moyens) puis renommer le en albator.dll (et non albator.dll.txt). Placer ce fichier dans le répertoire courant de K!TV, le menu de déschtroumphage apparaît alors (pour les très anciennes versions il faut renommer le fichier key.txt en goldorak.go).

A partir de la version 0.9.7 (première version 0.9.x officiellement distribuée):

Les plugins K!Tv ne sont plus des fichiers texte à renommer mais de véritables DLLs. Il en existe deux:

- Une pour le son : Chorus.dll ( en deux versions la normale compilée avec Intel Compiler et la VCC compilée avec Microsoft Visual C++. Cette dernière est celle qu'il faudra utiliser avec la version VCC de K!Tv)

- Une pour la vidéo: albator.dll ( en deux versions la normale compilée avec Intel Compiler et la VCC compilée avec Microsoft Visual C++. Cette dernière est celle qu'il faudra utiliser avec la version VCC de K!Tv). Cette DLL fonctionne avec un fichier key.txt qu'il faudra récuperer par vos propres moyens et placer à la racine du répertoire du logiciel.

  • La version non numérotée est basée sur le code 0.7.0.7 (version des filtres Kiskoool-Snabrab)

  • La version numéroté 0.8.0.2 est basé sur le code 0.8.0.2 (version des filtres Fasouil-Snabrab)

A vous de choisir celle qui convient le mieux.

Utilisation de ces deux DLLs dans K!TV:

Aller dans BT8x8 -> Réglages... puis cliquez sur le bouton Plugins/Desentrelacement (en bas à droite):

plugins.jpg (16468 bytes)

Au niveau de plugin Vidéo entrez le nom de la DLL vidéo à utiliser (sans mettre l'extension .dll), faire de même avec la DLL audio.
Les deux noms de DLL donnés sur l'image du dessus ne le sont qu'à titre d'exemple bien entendu.

Remercions Albator pour son aide.

logoSMALL.jpg (10447 bytes)


Configuration: le plugin "Smurf" vidéo (albator.dll):

Ce menu est accessible par: Options -> Décodage -> Réglages Décodage

reglageDECO.jpg (41341 bytes)

Options de Décodage | Explications
Couples | Nombre de lignes de l'image sur lesquelles la reconstruction de l'image est tentée
Status
(option existante jusqu'en 0.8.0.1; plus en 0.9.x) 		TV libre (en clair) ou encodé (brouillage de l'image)
Autres nombres de couples | Série de couples proposés qui pourront être utilisés par la suite avec les commandes L et CTRL+L
Décoder les deux trames / utiliser les deux trames | Il y a deux demi-images : l'une contenant les lignes paires et l'autre les lignes impaires. Le résultat est bien meilleur si on traite les deux demi-images plutôt qu'une seule. Par contre il y a un surcoût en temps d'occupation CPU.
Fix Chipset VIA | Tentative de gérer les bugs liés au chipset VIA de certaines cartes mères. En effet des problèmes apparaissent au niveau des transferts PCI lors du déschtroumphage lorsque la résolution de capture en X est supérieure a 640 pixels.
Rés X | Paramètre à régler en cas de bugs lié au chipset VIA expliqués ci-dessus.
PAL Plus Actif pendant le décodage | Lors d'une émission PAL une ligne spécifique est émise. C'est la ligne PAL plus. En France le royaume du SECAM elle est inutile ce qui n'est pas le cas en Allemagne ou en Espagne ou elle est alors utilisée pour le déschtroumphage. Cette option gène même le décodage dans certaines régions...
Seuil des Lignes Noires
(option existante jusqu'en 0.8.0.1; plus en 0.9.x) 		Une des particularités d'une émission est d'être émise en 4:3, 16:9 ou 20:9. Dans le cas des deux dernières il y a donc présence de deux bandeaux de lignes noires en haut en en bas. Ce paramètre permet de définir si une ligne doit être considérée comme appartenant à ces bandeaux ou non lors du déschtroumphage. Comme cela K!Tv n'aura pas à traiter ces lignes et on gagnera donc en occupation CPU.
Réglages du Décodage Automatique | Explications
Détection Automatique Codage | Utilisation des données télétexte pour déterminer si le signal est encodé ou non. Comme toute donnée transmise en numérique cette option est très sensible à la qualité de réception qui se doit d'être optimale. Dans le cas contraire cette option ne sera pas très efficace et il peut être nécessaire de forcer le décodage avec l'option "Forcer décodage" ALT+F6 dans le cas d'une instabilité de la détection.
Décodage Son Automatique
(option existante jusqu'en 0.8.0.1; plus en 0.9.x) 		Lors de l'activation du déschtroumphage vidéo il est possible via cette option de lancer le déschtroumphage audio également en même temps.
Réglages du Décodeur Audio...
(option existante jusqu'en 0.8.0.1; plus en 0.9.x) 		Permet d'avoir accès à la boîte de dialogue suivante ICI
Réglage du Filtre SECAM | Explications
Seuil U | Schématiquement U correspond à la composante bleue de l'image. Si la couleur d'un point de l'image est supérieure à chacun des 3 seuils, le point est considéré comme ayant une couleur saturée et est alors traité par le filtre dit "lignes bleues".
Seuil V | Schématiquement V correspond à la composante rouge de l'image. Si la couleur d'un point de l'image est supérieure à chacun des 3 seuils, le point est considéré comme ayant une couleur saturée et est alors traité par le filtre dit "lignes bleues".
Seuil Vert | Schématiquement le vert correspond à la composante verte de l'image. Si la couleur d'un point de l'image est supérieure à chacun des 3 seuils, le point est considéré comme ayant une couleur saturée et est alors traité par le filtre dit "lignes bleues".
Seuil Pix | Le seuil Pix correspond au pourcentage maximum de pixels non saturés autorisé dans une ligne saturée.
  • Pour plus d'information sur comment fonctionne les filtres c'est ICI
  • Pour un BT848 il est conseillé 66/66/43/20
  • Pour un BT878 il est conseillé 63/63/43/20
  • KisKoool lui conseillait 60/60/40/20


Configuration: Les filtres SECAM:

Le réglage des filtres se fait dans le menu général ICI

Petites explications pour ceux qui voudraient comprendre ce qu'apporte le filtre "lignes bleues" KizKoool en version 3.2 (actuellement la DLL albator.dll est composée des travaux de Kiskoool 3.2+snabrab tandis que la DLL albator.dll 0.8.2 est complètement différente et est composée des travaux de fasouil+snabrab)

Petit rappel historique:
Le filtre de détection des "lignes bleues" utilisé jusqu'à présent utilisait les propriétés de la somme des U et V des pixels constituant la ligne à tester.

1ère innovation: L'algorithme de base

Le filtre KizKoool v1.x permettant la détection des lignes saturées utilisait la méthode des minimum U et V des pixels de la ligne au lieu de la somme.
Cela permettait d'éliminer pas mal de fausses lignes détectées, comme par exemple les lignes étant un mélange de rouge et de bleu (qui causaient beaucoup de problèmes dans les dessins animés avec l'ancien algo.).
Une première implémentation de cette idée avait été effectuée par Sys.htm.
Hélas, l'expérience a montré que si cette technique avait ces avantages, elle ne détectait pas certaines lignes saturées (par exemple à cause des micros parasites dans la réception TV qui existent même avec une très bonne qualité de réception).

Pour diverses raisons, la voie des minimums U et V, que j'ai utilisé dans les filtres KizKoool v1.0 à v2.8 sous différentes formes (dont la subdivision de la ligne à tester en plusieurs blocs) est maintenant complètement abandonnée.

Voici comment fonctionne l'algorithme actuel:
Les réglages des seuils U, V et Vert correspondent au réglage d'une partition de l'espace des couleurs en deux zones. Si la couleur d'un point est supérieure à chacun des 3 seuils, le point est considéré comme ayant une couleur saturée.
Très schématiquement (en réalité c'est plus compliqué), on peut considérer que le U correspond à la composante bleu, le V correspond à la composante rouge et le vert correspond à la composante verte.

Le seuil Pix correspond au pourcentage maximum de pixels non saturés autorisé dans une ligne saturée.

Lors du parcours de la ligne à tester, l'algorithme vérifie en permanence si le pourcentage de pixels non saturés dépasse le pourcentage seuil de pixels non saturés. Si oui, le parcours de la ligne s'arrête et la ligne est déclarée non saturée. Si non, le parcours de la ligne continue.
Si on arrive au bout de la ligne, c'est que le pourcentage de pixels non saturés de la ligne est inférieur au "seuil Pix", donc la ligne est déclarée saturée.

2ème innovation: Objectif qualité
L'algorithme utilisé par Fantasio & E-Nek utilisait seulement les 4 bits de poids fort des U et V de chaque pixel, il y avait donc une grande imprécision sur la valeur des U et V.
L'algorithme utilisé dans le filtre KizKoool utilise les valeurs exactes des U et V, codé sur un octet chacune, de chaque pixel.
Ces valeurs sont ainsi 16 fois plus précises que dans l'algorithme précédemment utilisé.
Cela permet à l'algorithme de détection de détecter plus précisément les lignes saturées des lignes non saturées.

3ème innovation: Objectif qualité bis
Contrairement à l'implémentation de Sys.htm, je ne fais pas de sous-échantillonage de points à tester sur la ligne. Le filtre KizKoool teste TOUS les points de la ligne jusqu'à ce qu'il soit sûr de l'état de celle-ci.

Vous allez me dire que ce n'est pas vraiment une innovation, parce que mon algorithme va ramer comme un fou (en plus c'est écrit en C, il est fou KizKoool !!!). Voici donc ma ...

4ème innovation: L'optimisation algorithmique
Contrairement aux implémentations précédentes, je ne teste pas TOUS les pixels de l'image, je teste seulement TOUS les pixels NÉCESSAIRES. Cette subtilité fait que j'obtiens un algorithme qui est nettement plus rapide que les algorithmes précédents ou il fallait faire un scan de tous les points de l'image.

Voici comment fonctionne cette idée:
Quand je parcoure la ligne à tester, si le pourcentage de points non saturés est supérieur au "seuil Pix" alors il n'y a pas besoin de continuer à tester les pixels restants. J'ai la certitude que la ligne n'est pas saturée.
Pour une ligne non saturée "normale", le test se termine donc après quelques dizaines de pixels seulement.
Il n'y a que pour les lignes saturées que l'algorithme doit faire le test sur tous les blocs de pixels.
Et comme les 3/4 des lignes ne sont pas saturés, on obtient un gain très intéressant.

5ème innovation: Optimisation algorithmique bis
Le problème du filtrage est qu'il consomme beaucoup de bande passante mémoire. De plus, les données vidéos à traiter étant réactualisées à chaque trame, le cache CPU n'est d'aucune utilité.
Le goulet d'étranglement se situe donc au niveau de la charge du bus mémoire.
Les algorithmes que j'ai mis au point consomment 2 fois moins de bande passante mémoire que ce qui avait été fait auparavant.
Le gain de vitesse est donc plus que substantiel.
Attention: Ces algorithmes ne sont pas du tout optimisables en MMX étant donné que je travaille au niveau de l'octet.

Explications filtre Anti-bavures + Rephasage dynamique par KizKoool

L'algorithme originel du filtre anti-bavures a été réalisé par 1Konnu.
Je l'ai légèrement modifié et inclus un algorithme de rephasage dynamique du filtre.

Voila les explications d'1Konnu sur le fonctionnement du filtre anti-bavures:

"Voila l'algo de correction des couleurs. le principe est de faire un traitement différent une image sur deux et ceci sur l'image remise en ordre.

Image 1
Pour les lignes paires, prendre la composante rouge de la ligne précédente
Pour les lignes impaires, prendre la composante bleu de la ligne précédente

Image 2
Pour les lignes paires, prendre la composante bleu de la ligne précédente
Pour les lignes impaires, prendre la composante rouge de la ligne précédente

Image 3: Même traitement que image 1
Image 4: Même traitement que image 2

et ainsi de suite... il faut trouver une méthode qui permet de savoir sur quels type d'image (1 ou 2) commence la capture vidéo afin de partir du bon pied. Je n'ai pas trouvé cette méthode, je fais la calage manuellement au clavier.
Attention, un mauvais calage fait l'effet inverse , la couleur est encore plus degeulasse..."

Le terme image dans l'explication d'1Konnu signifie une trame complète (c'est à dire 2 demi-trames).

Lorsque l'on travaille avec les 2 demi-trames, le changement de type d'image se fait entre la demi-trame impaire et la demi-trame paire.

Le - GROS - point faible de ce filtre est donc qu'il peut se déphaser.

J'ai réalisé un algorithme de rephasage dynamique de l'algorithme d'1Konnu qui s'appuie sur certaines propriétés des lignes violettes.
Le problème de cet algorithme est qu'il est quasiment inefficace sur un chipset BT848 qui n'affiche que très peu de lignes violettes.

Je lance donc un appel à tous les développeurs, si quelqu'un a une idée sur la manière dont on pourrait détecter le type d'images sur un BT848, n'hésitez pas à nous faire part de vos réflexions sur le forum DEVELO.

Explications de la méthode de rephasage du filtre anti-bavures
Je me suis basé sur une propriété du filtre d'1Konnu.
J'ai remarqué que si l'on applique ce filtre directement sur l'image décryptée (sans avoir utilisé le filtre ligne violettes) dans une zone de l'image comprise entre les lignes 32 à 64 en partant du bas, alors les lignes violettes de cette zone sont filtrées et disparaissent quasiment toutes.
Bien entendu cela ne fonctionne pas, et aggrave même fortement les lignes violettes dans cette zone, lorsque le filtre d'1Konnu est déphasé.

Pour savoir si le filtre est déphasé, il suffit donc d'appliquer deux fois le filtre d'1Konnu sur cette zone, le 1er en utilisant le filtrage utilisé pour les images du type courant et l'autre en utilisant le filtrage opposé.
Le résultat de chacun des filtrages sera placé dans 2 buffers distincts.
Il suffit ensuite de compter le nombre de lignes violettes apparaissant dans chacun des deux filtrages.
S'il apparaît moins de lignes violettes dans le 1er filtrage que dans le 2nd alors le filtre est en phase.
Sinon le filtre est déphasé et hop un petit TypeImage=!(TypeImage) et le tour est joué.

Le but de la méthode est donc que dès qu'il reconnaît que le filtre est déphasé, il le remet en phase tout seul.
-> Donc plus besoin d'un bouton pour remettre en phase le filtre.

Un problème se pose, il n'y a des lignes violettes que sur une image sur 2 environ. Comment être sûr de la phase du filtre anti-bavures dans les autres cas (problème avec les trames non acquises) ?

J'ai exploité l'idée d'E-Nek d'utiliser la variable CurrentFrame qui affecte un nombre de 0 à 4 suivant les trames.
En comparant la valeur affectée à la trame précédente et la valeur de la trame courante, on connaît le nombre de trames qui ont été loupées.
On en déduit logiquement quelle est le type d'image pour la trame courante par rapport à la trame précédente.
Cela permet un algorithme de rephasage extrêmement stable puisqu'il autorise jusqu'à 4 trames loupées entre 2 trames, et ceci sans information sur les lignes violettes.


Configuration: le plugin "Smurf" son (chorus.dll):

Ce menu est accessible par: Options -> Décodage -> Réglages du décodeur audio

reglageDECOaudio.jpg (28759 bytes)

Options | Explications
Nombre de Buffers | Espaces mémoire dans lesquels le déschtroumphage audio est réalisé
Taille des Buffers | Taille de ces espaces mémoire
Filtres: Préfiltre | Filtrage du signal avant déschtroumphage
Filtres: Postfiltre | Filtrage du signal après déschtroumphage
Priorité du décodage sonore | Dans certains cas où le CPU est un peu juste, si le son traité est haché il peut être intéressant de donner plus de priorité à ce traitement qu'à d'autres
Amplification du Buffer de Sortie | Augmentation du niveau de sortie sonore après traitement du son
Fréquence d'échantillonage | Souvent la fréquence d'échantillonnage est à 44 khz mais cela peut être légèrement différent. d'ou la possibilité d'en choisir une autre (44Khz correspond au format CD Audio Stéréo). Pour les cartes son ISA la fréquence doit être de 25600 et pour certaines cartes récentes on peut monter à 48KHz
Pitch | Décalage de la fréquence d'échantillonnage d'un peu plus ou d'un peu moins


Configuration: Menu général:

Le menu général est le même que le menu clic droit de la souris :

menuDECO.jpg (10702 bytes)

Menus |  |  |  | Explications
Options | Décodage | Décodage | F6 | Permet de lancer le traitement vidéo
 |  | Forcer Décodage | Alt+F6 | Lorsque le décodage est en mode automatique, parfois il n'est pas stable. Cette option permet de forcer le traitement vidéo
 |  | Pas de Décodage | F5 | Pas de traitement vidéo sur le signal en cours de capture
 |  | Décodeur Son Actif/Inactif | F7 | Lancer / Arréter le traitement audio
 |  | Filtre Anti-Bavures | F | Activation / Désactivation du filtre SECAM Anti-Bavures
 |  | Filtre Lignes Bleues | Ctrl+F | Activation / Désactivation du filtre SECAM supprimant les lignes bleues et rouges
 |  | Commuter Phase Anti-Bavures | P | Lorsque le filtre Lignes Bleues n'est pas synchronisé cette option permet de forcer la synchronisation
 |  | Régalges Décodage | - | Accéder à la boîte de dialogue suivante : ICI
 |  | Réglages du décodeur Audio | - | Accéder à la boîte de dialogue suivante : ICI


Configuration: Menu par clic droit:

Le menu qui est appelé par le clic droit de la souris est le même que celui du menu général:

menuDECO.jpg (10702 bytes)

Menus |  |  | Explications
Décodage | Décodage | F6 | Permet de lancer le traitement vidéo
 | Forcer Décodage | Alt+F6 | Lorsque le décodage est en mode automatique, parfois il n'est pas stable. Cette option permet de forcer le traitement vidéo
 | Pas de Décodage | F5 | Pas de traitement vidéo sur le signal en cours de capture
 | Décodeur Son Actif/Inactif | F7 | Lancer / Arréter le traitement audio
 | Filtre Anti-Bavures | F | Activation / Désactivation du filtre SECAM Anti-Bavures
 | Filtre Lignes Bleues | Ctrl+F | Activation / Désactivation du filtre SECAM supprimant les lignes bleues et rouges
 | Commuter Phase Anti-Bavures | P | Lorsque le filtre Lignes Bleues n'est pas synchronisé cette option permet de forcer la synchronisation
 | Régalges Décodage | - | Accéder à la boîte de dialogue suivante : ICI
 | Réglages du décodeur Audio | - | Accéder à la boîte de dialogue suivante : ICI


Raccourcis clavier:

menuDECO.jpg (10702 bytes)

Raccourcis | Explication | Affichage dans la barre de status | Affichage OSD
F | Activer / Désactiver le filtre Anti-Bavure | Oui | Oui
Ctrl+F | Activer / Désactiver le filtre Bleu | Oui | Oui
P | Commuter la phase pour le filtre antibavure | Non | Non
F5 | Pas de décodage | Non | Non
F6 | Décodage | Non | Non
Alt+F6 | Forcer décodage | Non | Non
F7 | Décodeur audio actif / inactif | Non | Non
F8 | Stabilisation réinitialisée / stabilisation forcée | Oui | Oui
Tab | Image pleine / demi image | Non | Oui
L | Augmenter le nombre de couples | Non | Oui
Ctrl+L | Diminuer le nombre de couples | Non | Oui


FAQ: Foire aux questions

1) J'ai renommé le fichier key.txt en albator.dll et ça ne marche pas ( pour les versions 0.6.2 à 0.8.0.1)?
En fait le fichier a été renommé en albator.dll.txt : vérifie en ligne de commande DOS et au lieu de le renommer via l'explorateur. La ligne de commande est : rename key.txt albator.dll

2) Ou trouver ce fameux fichier key.txt?
Il faut savoir se prendre par la main parfois. Allez cherche un peu !! C'est pas difficile, surtout si tu as téléchargé cette aide sur un site... Il y est probablement ;o)

3) A quoi sert les fichiers *.idx?
Ce sont des tables permettant le déschtroumphage qui ont été générées via le plugin et les choix de couples fait dans la boîte de dialogue ICI

4) Le déschtroumphage automatique ne fonctionne pas correctement?
Vérifie tout d'abord que la réception soit impeccable. Le signal de codage étant transmis sous forme numérique il est très sensible au phénomène de fading qui comme chacun le sait est, pour le numérique, pas des parasites mais une coupure nette du signal. Si cela ne marche toujours pas force alors le déschtroumphage par ALT+F6

5) Comment régler les filtres Secam ?
Il est conseillé d'utiliser les valeurs par défaut:

  • Pour un BT848 il est conseillé 66/66/43/20
  • Pour un BT878 il est conseillé 63/63/43/20
  • Kiskoool lui conseillait 60/60/40/20

Les réglages de seuils U, V et Vert se comportent de la façon suivante:
La meilleure valeur possible de ces paramètres est LA VALEUR LA PLUS ÉLEVÉE pour laquelle on n'observe pas de dégradations.
Le réglage Seuil Pix se comporte de façon inverse aux autres réglages.
La meilleure valeur possible de ce paramètre est LA VALEUR LA PLUS BASSE pour laquelle on n'observe pas de dégradations.

6) Le décryptage du son n'est pas vraiment satisfaisant (hachage et décalage dans le temps). Que faire ?
Essayer de jouer sur le nombre de buffers et la taille des buffers. Si le son est toujours haché essayer de jouer sur la priorité si le son est décalé tenter de jouer aussi sur ce paramètre.
Si rien ne marche utiliser alors un décodeur son externe. Les meilleurs logiciels sont: CPlusWin, BestBandBeast et surtout Wilma. On les trouve assez facilement ;o)

7) J'entends le son crypté et décrypté en même temps. Que faire ?
Utiliser la configuration du mixer que propose K!TV (Muet Enregistrement -> Source et mettre line-in habituellement), Sinon, allez dans le panneau de contrôle du volume de Windows puis mettez Line-In sur muet. Vous aurez ainsi uniquement le son décrypté.
Pour avoir de nouveau du son sur les chaînes en clair, désactiver l'option muet de Line-In.

8) A quoi correspondent les réglages mystérieux des filtres Secam ?
Les réglages des seuils U, V et Vert correspondent au réglage d'une partition de l'espace des couleurs en deux zones. Si la couleur d'un point est supérieure à chacun des 3 seuils, le point est considéré comme ayant une couleur saturée.
Très schématiquement (en réalité c'est plus compliqué), on peut considérer que le U correspond à la composante bleu, le V correspond à la composante rouge et le vert correspond à la composante verte.

Le seuil Pix correspond au pourcentage maximum de pixels non saturés autorisé dans une ligne saturée.

9) Comment régler le filtre anti-bavures ?
Le filtre anti-bavures n'a pas besoin de réglages indépendants.
En revanche, les réglages de la boite de dialogue des filtres Secam influent sur le comportement du filtre anti-bavures.
Pour le meilleur résultat possible du filtre anti-bavures, le filtre "lignes bleues" doit être réglé de façon optimale, c'est à dire de telle sorte qu'il élimine le plus possible de lignes saturées sans trop faire de fausses détections.
D'où les paramètres proposés plus haut en fonction du chipset.

10) Le décodage fonctionne mais le décodeur saute souvent (par exemple sur le foot). Que faire ?
Il suffit de régler le nombre de lignes de tests ICI.
La règle est simple, plus le nombre de lignes est élevé et plus le décodage sera fiable et plus le décodeur prendra de temps CPU.
Donc, le réglage du nombre de lignes de tests est un compromis entre le choix d'un décodage fiable et celui d'un décodage fluide.

11) Le plugin rame pendant les 20-30 premières secondes après que j'ai activé le décodeur. Que se passe t'il?
Ceci est dû à la recherche automatique des bandes noires.
Cette recherche permet ensuite d'accélérer le décodeur de MultiDec dans les films en 16/9. La recherche automatique des bandes noires est donc conseillée.
Vous pouvez tout de même désactiver la recherche automatique des bandes noires dans "Ajustement de l'image/Bandes noires (cinémascope)" en désactivant l'option "Auto".

12) Quand j'utilise le mode décodeur, le plugin rame plus que d'autres softs. Que faire ?
Vérifiez que le mode Overlay est bien activé.
Vous pouvez baisser le nombre de lignes de test du décodeur pour qu'il prenne moins de temps CPU . Il suffit de diminuer les nombres correspondants aux lignes de test.
Si vous possédez une petite machine, vous pouvez dégrader la qualité de l'image pour avoir une image plus fluide. Pour cela, désactivez l'option "les 2 demi-images".
Si vous possédez une carte Tuner TV à base de chipset BT848 et non pas BT878, vous pouvez désactiver le filtre lignes bleues car ce filtre est quasiment inutile pour vous.

13) Pourquoi il est nécessaire de devoir réappuyer sur "P" toutes les x minutes pour garder l'effet du filtre anti-bavures (albator.dll non numéroté)?
Actuellement le plugin, pour synchroniser le filtre antibavure, utilise la technique suivante : pour une image donnée, comme il y a deux possibilités de corriger l'image, on obtient deux images corrigées "possibles", puis on compare ces deux images pour savoir laquelle comporte le moins le lignes "bugnées" (bleues-rouges)...... Donc pour synchroniser le filtre antibavure on a besoin d'avoir des lignes bleues, ce qui n'est pas "malheureusement" le cas des possesseurs d'anciens BT848 sans lignes bleues. Il ne reste pour ces derniers que la synchronisation manuelle par P.

14) Dès que l'image est trop sombre, l'image saccade terriblement, le deschtouphage et le filtre bleu décrochent. A quoi cela est du ?
Si seulement le filtre bleu décroche, c'est dû à la dernière version du filtre qui privilégie le bon filtrage des lignes bleues sans détérioration des couleurs (c'est à dire, ne filtre pas, à tort, les lignes très colorées). L'inconvénient, c'est qu'il décroche effectivement plus facilement quand l'image est sombre.
Si c'est le déschtroumpfage qui décroche (cela fait donc aussi décrocher le filtre de Snabrab), là il n'y a pas d'autres solutions que d'augmenter le nombre de couples.
le déschtroumpfage se sert d'un principe "simple" : on prend des couples de lignes et on regarde si deux lignes sont fortement ressemblantes au niveau de la luminance. Si elles sont ressemblantes cela veut dire qu'elles sont voisines l'une de l'autre. Cela permet donc de retenir la bonne permutation des lignes pour obtenir une image claire.
Le problème sur une images sombre (noire) c'est que presque toutes les lignes se ressemblent (car elles sont noires) et cela ne permet plus à l'algorithme de sélectionner la bonne permutation pour déstroumpfer : l'image est alors mal déschtroumpfée (premier effet).
Il y a un deuxième effet : le décrochage du filtre bleu, qui est lié au décrochage du déschtroumpfage. Comme l'image noire est mal déschtroumpfée, les lignes se trouvent là où elles ne doivent pas être, en particulier les lignes bleues. Comme dans l'algorithme on recherche les lignes bleues à des endroits précis (pas sur toute l'image comme anciennement) mais comme les lignes bleues ne se trouvent pas là où elles devraient être (car l'image est mal déschtroumpfée) : les lignes bleues peuvent réapparaître. Le remède : pour ceux qui ont une grosse configuration, ils peuvent alors augmenter le nombre de "couples".

15) "Blanche Neige s'est perdue dans la forêt", j'ai bien installé les plugins et j'ai ce message:
En fait les plugins ne sont pas bien installés.
De la version 0.6.2 à 0.8.0.1 ce message apparaît dans la barre de tâche si le fichier key.txt n'a pas été renommé en albator.dll (ou goldorak.go pour les versions les plus anciennes):

bneige2.jpg (2233 bytes)

pour les versions 0.9.x ce message apparaît en boîte de dialogue et cela signifie que le fichier key.txt n'a pas été ajouté aux DLLs:

bneige1.jpg (6526 bytes)

16) A quoi servent les fichiers chorus.ini et albator.ini (à partir de la version 0.9.x)?
Ce sont les fichiers de configurations des plugins (DLLs). Si la configuration via les boîtes de dialogue ne fonctionne pas correctement il est alors interessant de faire la configuration directement dans les fichiers ini puis si nécessaire de les passer en attribut "read-only"


Historique:

Historique du Plugin audio Chorus

24 Septembre 2001 => 1.2.0.0

- Corrections de bugs

17 Septembre 2001 => 1.1.0.0

- Reprise du code de decodage audio de la derniere version de MultiDec Light
- Correction bug bdd audio stroumf cachee quand arborescence des bdd etait importante (signale par calimero)
- Le pitch avait disparu de la bdd reglage artdeco...
- Refonte bdd Reglages audio...Ajout de plusieurs preselections pour le nombre/taille buffers...(Comme dans Wilma...)
- Correction bug decoaudio auto au demarrage...
- Correction bug ds deco audio quand mixer non regle...ca pouvait faire planter...

Historique du Plugin vidéo Albator

24 Septembre 2001 => 1.2.0.0

- Implementation du desentrelacement de K!TV 0.9.0.8
- Modifs/corrections dans les menus
- Ameliorations + MMX par gondos

17 Septembre 2001 => 1.1.0.0

- Reprise du code de decodage de la derniere version de MultiDec Light
- Modification du filtrage par snabrab corrigé par Grincheux...
- Correction du dernier bug qui faisait que l'on décodait plusieurs fois la meme image. Par conséquence la consommation cpu a également baissée de 10-20 %.
Avec cette dernier fix on retrouve enfin la meme qualite qu'avec les version precedentes...
- Amelioration du Filtrage video par snabrab...
- Correction bug deschtroumphage...C'etait impossible que ca puisse marcher avant...
- Dissociation des filtres anti-bavures et bleu par the debutant...Adaptation de celui-ci a K!TV...
- Correction bug ds decodage auto...en fait la aussi il faut laisser le tps a l'info de decodage d'arriver par le teletexte...
Sinon on encode un chaine non codee et ca fait ramer a donf la becane...et les touches clavier sont inoperantes vu que ca rame trop...
- Mode Blanche neige corrigé (marche enfin sur taille différente de 512*384)
- Implementation du filtre kizkoool 3.2 sauce Grincheux-Kizkoool...:D C marrant au debut tu te fais avoir et t'as du zoli fluo...faut peut etre initialiser les variables...
- Implementation du filtre KizKoool 3.1...:D et optimisation a la sauce Grincheux de celui-ci...
- Correction bug: le rephasage ne se faisait pas en simple trame...
- Refonte de la bdd reglage nakra: plus de possibilite de modifier le nom de la clef ni l'extension des fichiers (qui au passage passe a idx)
- Modification des seuils par defaut du filtre kk 63/63/43/20...pas terrible les mensurations...:D

Décodage F6
Forcer Décodage Alt+F6
Pas de Décodage F5
Filtre Lignes Bleues F
Commuter Phase AntiBavure P
Decodeur Son F7
Verrouiller Decodage F8
Décodage Simple/Double Trame Tab

- Implementation du filtre KizKool 3.0 a la sauce Grincheux...:D
- Modification de Correction mmx par gondos...


Remerciements:

Tout d'abord la famille des Schtroumphs ;) qui a conçue ces plugins: Les voici

smurfrow1.gif (8693 bytes)

Merci à Stangers pour le son
Fantasio, 1Konnu, Z, E-Nek, KisKoool et Snabrab pour l'image
Grincheux pour faire évoluer les plugins
Et SmurfMan pour cette aide

Mais aussi ce fameux conquérant qu'est Albator pour avoir fourni la clef de son arme:


Liens:

Le site officiel de K!TV : http://k-tv.da.ru/

logo.jpg (22033 bytes)